#include <iostream>

using namespace std;

int main()
{

    string S,T;
    int M,N,x=0,br=0;
    cin >> T >> S;
    M = S.length();
    N = T.length();
    for(int i=0; i<N; i++){
        if(T[i]==S[x]){
            x++;
            if(x==M){
                T[i] = '*';
                br++;
                x = 0;
            }
        }
    }
    cout << br << endl;
    cout << T;

    return 0;
}